Name:                rngom
Version:             201103
Release:             1
Summary:             Java library for parsing RELAX NG grammars
License:             MIT
URL:                 https://java.net/projects/rngom
Source0:             https://github.com/jboss/rngom/archive/%{version}.jboss-1.tar.gz
Patch0:              rngom-%{version}-pom.patch
BuildRequires:       maven-local mvn(com.sun.msv.datatype.xsd:xsdlib) mvn(javax.xml.stream:stax-api)
BuildRequires:       mvn(junit:junit) mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires:       mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires:       mvn(org.sonatype.oss:oss-parent:pom:) mvn(relaxngDatatype:relaxngDatatype)
BuildRequires:       mvn(xmlunit:xmlunit)
BuildArch:           noarch
%description
RNGOM is an open-source Java library for parsing RELAX NG grammars.
In particular, RNGOM can:
* parse the XML syntax
* parse the compact syntax
* check all the semantic restrictions as specified in the specification
* parse RELAX NG into application-defined data structures
* build a default data structure based around the binarized simple syntax or
  another data structure that preserves more of the parsed information
* parse foreign elements/attributes in a schema
* parse comments in a schema

%package javadoc
Summary:             Javadoc for rngom
%description javadoc
This package contains javadoc for rngom.

%prep
%setup -q -n rngom-201103.jboss-1
rm -rf www && mv rngom/* . && rm -rf rngom
%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license licenceheader.txt

%files javadoc -f .mfiles-javadoc
%license licenceheader.txt

%changelog
* Thu Jul 30 2020 yaokai <yaokai13@huawei.com> - 201103-1
- package init
